> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a message template.

> Update a message template.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /message-templates/{messageTemplateId}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /message-templates/{messageTemplateId}:
    put:
      tags:
        - Message templates
      summary: Update a message template.
      description: Update a message template.
      operationId: UpdateTeam
      parameters:
        - in: path
          name: messageTemplateId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageTemplateDTO'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageTemplateDocument'
      security:
        - jwt: []
components:
  schemas:
    MessageTemplateDTO:
      properties:
        title:
          type: string
        content: {}
        lexorank:
          type: string
        isPublic:
          type: boolean
        users:
          items:
            type: string
          type: array
        attachments:
          items: {}
          type: array
        actions:
          items:
            properties:
              data: {}
              type:
                type: string
            required:
              - type
            type: object
          type: array
      required:
        - title
        - content
        - lexorank
      type: object
      additionalProperties: false
    MessageTemplateDocument:
      allOf:
        - $ref: '#/components/schemas/MessageTemplate'
        - $ref: '#/components/schemas/Document'
    MessageTemplate:
      $ref: '#/components/schemas/InferSchemaType_typeofmessageTemplateSchema_'
    Document:
      $ref: '#/components/schemas/FlattenMaps_T_'
      description: >-
        Generic types for Document:

        *  T - the type of _id

        *  TQueryHelpers - Object with any helpers that should be mixed into the
        Query type

        *  DocType - the type of the actual Document created
    InferSchemaType_typeofmessageTemplateSchema_:
      $ref: >-
        #/components/schemas/IfAny_typeofmessageTemplateSchema.any.ObtainSchemaGeneric_typeofmessageTemplateSchema.DocType__
    FlattenMaps_T_:
      properties: {}
      type: object
    IfAny_typeofmessageTemplateSchema.any.ObtainSchemaGeneric_typeofmessageTemplateSchema.DocType__:
      allOf:
        - properties:
            updatedAt:
              $ref: '#/components/schemas/NativeDate'
            createdAt:
              $ref: '#/components/schemas/NativeDate'
          required:
            - updatedAt
            - createdAt
          type: object
        - properties:
            lexorank:
              type: string
            project:
              properties:
                isValid:
                  properties: {}
                  type: object
                createFromHexString:
                  properties: {}
                  type: object
                createFromTime:
                  properties: {}
                  type: object
                generate:
                  properties: {}
                  type: object
                cacheHexString: {}
              type: object
            content: {}
            title:
              type: string
            actions:
              items: {}
              type: array
            attachments:
              items: {}
              type: array
            isPublic:
              type: boolean
            users:
              items:
                $ref: '#/components/schemas/ObjectId'
              type: array
          required:
            - actions
            - attachments
            - isPublic
            - users
          type: object
    NativeDate:
      type: string
    ObjectId:
      type: string
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````